Subject: Re: bug#27212: 203a9455c4695152fc5d0085bffeead9ce3216c2 broke system boot

From: Marius Bakke <[email-masked]>
Date: Sat, 03 Jun 2017 19:01:10 +0200

ng0 <[email-masked]> writes:

> Otherwise perfectly working systems I have *all* break after
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=203a9455c4695152fc5d0085bffeead9ce3216c2
>
> and the last thing  they display before guile repl is the
> message in that commit.
>
> Yes, I use labels. No, I don't use complicated setups.
> Please test such changes before applying them in the wild..
> I just hope this happened here and the break is a mistake.

I *just* noticed the same thing. I also tried reverting this commit, but
that just entered a (re)boot loop. Not sure what's up, but two of my
GuixSD systems are affected.

On my way out now, but will investigate more tomorrow. CC Danny in case
of insight (which report by Chris did this address?).

Older generations are fine.